package com.btb.needle;


import java.io.*;

public class UncloseableReader extends Reader {
    private Reader internal;
    
    public UncloseableReader(Reader wrappee) {
        internal = wrappee;
    }

    @Override
    public int read(char[] cbuf, int off, int len) throws IOException {
        return internal.read(cbuf,off,len);
    }

    @Override
    public void close() throws IOException {
        //ignore and don't do it
    }

}
